BRUH
Posts: 2
Joined: Thu Jun 07, 2018 3:42 am

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Thu Jun 07, 2018 3:47 am

PLZ HELP WHERE DO YOU FIND /boot/config.txt :?: :?: :?:

User avatar
rpiMike
Posts: 466
Joined: Fri Aug 10, 2012 12:38 pm
Location: Cumbria, UK

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Thu Jun 07, 2018 8:47 am

Under the root folder (/) there is a boot folder (/boot) which contains the file config.txt (/boot/config.txt).

From a command line window you can start Raspbians text editor (leafpad):

Code: Select all

sudo leafpad /boot/config.txt
or use nano within the command line window:

Code: Select all

sudo nano /boot/config.txt

BRUH
Posts: 2
Joined: Thu Jun 07, 2018 3:42 am

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Thu Jun 07, 2018 1:31 pm

Thank you so much! :D
edit: it did not work on my Kano :(
edit 2: does not even work for the earliest version called Cave Game!
This is what it said:


Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
Jun 07, 2018 7:46:26 AM net.minecraft.launchwrapper.LogWrapper log
INFO: Using tweak class name net.minecraft.launchwrapper.VanillaTweaker
Jun 07, 2018 7:46:29 AM net.minecraft.launchwrapper.LogWrapper log
INFO: Launching wrapped minecraft
28
Turning of ImageIO disk-caching
Loading current icons for window from: /home/Smithies/.minecraft/assets/virtual/legacy/icons/icon_16x16.png and /home/Smithies/.minecraft/assets/virtual/legacy/icons/icon_32x32.png
Java HotSpot(TM) Client VM warning: You have loaded library /home/Smithies/.minecraft/versions/b1.0/b1.0-natives-1829277381228/liblwjgl64.so which might have disabled stack guard. The VM will try to fix the stack guard now.
It's highly recommended that you fix the library with 'execstack -c <libfile>', or link it with '-z noexecstack'.
Exception in thread "Minecraft main thread" java.lang.UnsatisfiedLinkError: /home/Smithies/.minecraft/versions/b1.0/b1.0-natives-1829277381228/liblwjgl.so: /home/Smithies/.minecraft/versions/b1.0/b1.0-natives-1829277381228/liblwjgl.so: cannot open shared object file: No such file or directory (Possible cause: can't load IA 32-bit .so on a ARM-bit platform)
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1938)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1854)
at java.lang.Runtime.loadLibrary0(Runtime.java:870)
at java.lang.System.loadLibrary(System.java:1122)
at org.lwjgl.Sys$1.run(Sys.java:73)
at java.security.AccessController.doPrivileged(Native Method)
at org.lwjgl.Sys.doLoadLibrary(Sys.java:66)
at org.lwjgl.Sys.loadLibrary(Sys.java:95)
at org.lwjgl.Sys.<clinit>(Sys.java:112)
at org.lwjgl.opengl.Display.<clinit>(Display.java:135)
at net.minecraft.client.Minecraft.a(SourceFile:231)
at net.minecraft.client.Minecraft.run(SourceFile:641)
at java.lang.Thread.run(Thread.java:745)
Jun 07, 2018 7:46:31 AM net.minecraft.launchwrapper.LogWrapper log
SEVERE: Unable to launch
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:497)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:57)
at net.minecraft.launchwrapper.Launch.main(Launch.java:18)
Caused by: java.lang.NoClassDefFoundError: Could not initialize class org.lwjgl.opengl.Display
at net.minecraft.launchwrapper.injector.VanillaTweakInjector.loadIconsOnFrames(VanillaTweakInjector.java:107)
at net.minecraft.launchwrapper.injector.VanillaTweakInjector.inject(VanillaTweakInjector.java:94)
at net.minecraft.client.Minecraft.main(SourceFile:1565)
... 6 more

DarkPlatinum
Posts: 29
Joined: Thu Nov 02, 2017 2:30 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Tue Jun 26, 2018 1:19 pm

Hi, ive had minecraft 1.12.2 optifine working. Im trying to get forge working, but getting this error

Code: Select all

[email protected]:~/Minecraft $ ./runForge1.12.sh 
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0curl: (6) Could not resolve host: authserver.mojang.com
todays access token = 
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0curl: (6) Could not resolve host: api.mojang.com
MINECRAFT_UUID=
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
Exception in thread "main" joptsimple.OptionMissingRequiredArgumentException: Option tweakClass requires an argument
	at joptsimple.RequiredArgumentOptionSpec.detectOptionArgument(RequiredArgumentOptionSpec.java:48)
	at joptsimple.ArgumentAcceptingOptionSpec.handleOption(ArgumentAcceptingOptionSpec.java:257)
	at joptsimple.OptionParser.handleLongOptionToken(OptionParser.java:513)
	at joptsimple.OptionParserState$2.handleArgument(OptionParserState.java:56)
	at joptsimple.OptionParser.parse(OptionParser.java:396)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:50)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
how do i fix this?
1 * Raspberry Pi Zero W, 1 * Raspberry Pi 2, 1 * Raspberry Pi 3 :mrgreen:

DarkPlatinum
Posts: 29
Joined: Thu Nov 02, 2017 2:30 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Tue Jun 26, 2018 6:00 pm

DarkPlatinum wrote:
Tue Jun 26, 2018 1:19 pm
Hi, ive had minecraft 1.12.2 optifine working. Im trying to get forge working, but getting this error

Code: Select all

[email protected]:~/Minecraft $ ./runForge1.12.sh 
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0curl: (6) Could not resolve host: authserver.mojang.com
todays access token = 
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0curl: (6) Could not resolve host: api.mojang.com
MINECRAFT_UUID=
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
Exception in thread "main" joptsimple.OptionMissingRequiredArgumentException: Option tweakClass requires an argument
	at joptsimple.RequiredArgumentOptionSpec.detectOptionArgument(RequiredArgumentOptionSpec.java:48)
	at joptsimple.ArgumentAcceptingOptionSpec.handleOption(ArgumentAcceptingOptionSpec.java:257)
	at joptsimple.OptionParser.handleLongOptionToken(OptionParser.java:513)
	at joptsimple.OptionParserState$2.handleArgument(OptionParserState.java:56)
	at joptsimple.OptionParser.parse(OptionParser.java:396)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:50)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
how do i fix this?
Very happy to say i got forge working. Had to add

Code: Select all

TWEAK_CLASS=net.minecraftforge.fml.common.launcher.FMLTweaker
thanks for making this happen!
1 * Raspberry Pi Zero W, 1 * Raspberry Pi 2, 1 * Raspberry Pi 3 :mrgreen:

emiru
Posts: 1
Joined: Wed Jun 27, 2018 6:31 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Wed Jun 27, 2018 6:37 pm

HELP!!!Please i have raspberry pi 3 model b ITS TYPES:
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
[15:36:16] [main/INFO]: Loading tweak class name optifine.OptiFineTweaker
[15:36:16] [main/INFO]: Using primary tweak class name optifine.OptiFineTweaker
[15:36:16] [main/INFO]: Calling tweak class optifine.OptiFineTweaker
OptiFineTweaker: acceptOptions
OptiFineTweaker: injectIntoClassLoader
OptiFine ClassTransformer
OptiFine ZIP file: /home/pi/.minecraft/libraries/optifine/OptiFine/1.12.1_HD_U_C7/OptiFine-1.12.1_HD_U_C7.jar
OptiFineTweaker: getLaunchArguments
OptiFineTweaker: getLaunchTarget
[15:36:17] [main/INFO]: Launching wrapped minecraft {net.minecraft.client.main.Main}
Java HotSpot(TM) Client VM warning: You have loaded library /home/pi/.minecraft/versions/1.12.1-OptiFine_HD_U_C7/1.12.1-OptiFine_HD_U_C7-natives-1868943847705/liblwjgl64.so which might have disabled stack guard. The VM will try to fix the stack guard now.
It's highly recommended that you fix the library with 'execstack -c <libfile>', or link it with '-z noexecstack'.
[15:36:18] [main/ERROR]: Unable to launch
java.lang.reflect.InvocationTargetException: null
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_65]
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_65]
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_65]
at java.lang.reflect.Method.invoke(Method.java:497) ~[?:1.8.0_65]
at net.minecraft.launchwrapper.Launch.launch(Launch.java:135) [launchwrapper-1.12.jar:?]
at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
Caused by: java.lang.UnsatisfiedLinkError: /home/pi/.minecraft/versions/1.12.1-OptiFine_HD_U_C7/1.12.1-OptiFine_HD_U_C7-natives-1868943847705/liblwjgl.so: /home/pi/.minecraft/versions/1.12.1-OptiFine_HD_U_C7/1.12.1-OptiFine_HD_U_C7-natives-1868943847705/liblwjgl.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога (Possible cause: can't load IA 32-bit .so on a ARM-bit platform)
at java.lang.ClassLoader$NativeLibrary.load(Native Method) ~[?:1.8.0_65]
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1938) ~[?:1.8.0_65]
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1854) ~[?:1.8.0_65]
at java.lang.Runtime.loadLibrary0(Runtime.java:870) ~[?:1.8.0_65]
at java.lang.System.loadLibrary(System.java:1122) ~[?:1.8.0_65]
at org.lwjgl.Sys$1.run(Sys.java:72) ~[lwjgl-2.9.4-nightly-20150209.jar:?]
at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_65]
at org.lwjgl.Sys.doLoadLibrary(Sys.java:66) ~[lwjgl-2.9.4-nightly-20150209.jar:?]
at org.lwjgl.Sys.loadLibrary(Sys.java:96) ~[lwjgl-2.9.4-nightly-20150209.jar:?]
at org.lwjgl.Sys.<clinit>(Sys.java:117) ~[lwjgl-2.9.4-nightly-20150209.jar:?]
at bib.I(SourceFile:2825) ~[bib.class:?]
at net.minecraft.client.main.Main.main(SourceFile:38) ~[Main.class:?]
... 6 more

DarkPlatinum
Posts: 29
Joined: Thu Nov 02, 2017 2:30 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Wed Jun 27, 2018 7:05 pm

So as I said I got forge working. It is working with mods n such but it is not outputting sound. In terminal it is saying missing sound for the audio.soundmanager
1 * Raspberry Pi Zero W, 1 * Raspberry Pi 2, 1 * Raspberry Pi 3 :mrgreen:

Sumie
Posts: 47
Joined: Tue Oct 18, 2016 2:03 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Fri Jun 29, 2018 4:16 pm

Anyone else seeing lots of flickering while playing now (in the ESC menu, or inventory)? It's been happening for a few months with newer images/updates. It happens more severely at higher resolutions or with higher view distance so I imagine it has to do with the Ram utilization, but I have the GPU ram upto 256mb. It was working great with 192mb at the start of the year.

Happens on both my Pi3 and Pi3Bplus.

I'm downloading the new June image right now to apply it to see if the same thing is going on, but I imagine it is.

mrtumnus
Posts: 2
Joined: Thu Apr 27, 2017 6:26 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Fri Jun 29, 2018 4:18 pm

Tested this tutorial successfully with the latest release, Minecraft/OptiFine 1.12.2. Thanks!!

EDIT: To connect to my server, I had to explicitly specify the port #. I'm using the default minecraft server port, but I guess it's required. Probably not a rpi-specific thing.

DarkPlatinum
Posts: 29
Joined: Thu Nov 02, 2017 2:30 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Fri Jun 29, 2018 10:37 pm

Sumie wrote:
Fri Jun 29, 2018 4:16 pm
Anyone else seeing lots of flickering while playing now (in the ESC menu, or inventory)? It's been happening for a few months with newer images/updates. It happens more severely at higher resolutions or with higher view distance so I imagine it has to do with the Ram utilization, but I have the GPU ram upto 256mb. It was working great with 192mb at the start of the year.

Happens on both my Pi3 and Pi3Bplus.

I'm downloading the new June image right now to apply it to see if the same thing is going on, but I imagine it is.
Yes, using f11 makes it flicker for some reason. To prevent this I just use full screen from the minecraft application bar.
1 * Raspberry Pi Zero W, 1 * Raspberry Pi 2, 1 * Raspberry Pi 3 :mrgreen:

Sumie
Posts: 47
Joined: Tue Oct 18, 2016 2:03 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Wed Jul 11, 2018 9:50 pm

DarkPlatinum wrote:
Fri Jun 29, 2018 10:37 pm
Yes, using f11 makes it flicker for some reason. To prevent this I just use full screen from the minecraft application bar.
It's freakin' irritating. I'm using the script to start Minecraft outside of the GUI to squeeze a bit more performance out of it, so non-full-screen is not really an option in my mind. ;)

("startx ./Minecraft/runOptifine1_12_1.sh" from the command line for those interested. I use a composite cable to use the lowest possible resolution too, looks and works great on tube TVs... besides the flickering)

GarretteO
Posts: 1
Joined: Mon Jul 16, 2018 9:04 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Mon Jul 16, 2018 9:17 pm

I did everything correctly for version 1.12.1, but when I put in ./runOptifine1_12_1.sh, the game just crashes. Please help!

User avatar
rpiMike
Posts: 466
Joined: Fri Aug 10, 2012 12:38 pm
Location: Cumbria, UK

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Tue Jul 17, 2018 8:59 am

What error do you get ?

BilyBob333
Posts: 2
Joined: Tue Jun 19, 2018 1:09 am

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Tue Jul 17, 2018 6:49 pm

On steps 8 and 9, the guide says to download files from <URL url="https://www.dropbox.com">https://www.dropbox.com</URL>. Why is this necessary? can't lwjgl be download from the official source? Is the version that the guide says to download modified to work on a Raspberry pi? Also, what about the launcher? The download link on Minecraft.net does not redirect to s3.amazonaws.com anymore? Isn't this a security issue?

User avatar
rpiMike
Posts: 466
Joined: Fri Aug 10, 2012 12:38 pm
Location: Cumbria, UK

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Tue Jul 17, 2018 7:23 pm

I've rebuilt lwjgl for the arm processor - thats why its downloaded from my dropbox. You can try and re-build it yourself.

Minecraft is now owned by Microsoft, I would imagine thats why its not on an amazon server!

Return to “Gaming”

Who is online

Users browsing this forum: No registered users and 12 guests